/* Main programme for S/c potential development
*
*  sjs
*  Oct 2004
*/

#include  "Qpeace_pad.h"    /* includes Qsweep_spin.h, which includes qie.h */


int main(){

/* INPUTS************************************************************/
IDFS_LINEAGE lineage = { "CLUSTERII",     /* project */
                         "CLUSTER-1",     /* mission */
                         "EFW",           /* experiment */
                         "PRIME",         /* instrument */
                         "CEFPRIME",      /* vir instr */
			 "",              /* extension */
                         -100             /* dummy version number */
                       };
/* start and end time; could load btime & etime structs directly;
*  see Qidfs_utils.h for definition of structure. */

int syear  =  2002;    int eyear  =  2002;   
int sdoy   =    22;    int edoy   =    23;
int shour  =    23;    int ehour  =    10;
int smin   =    58;    int emin   =    02;
int ssec   =    00;    int esec   =    00;
long snano =     0;    long enano =     0;


IDFS_TIME btime,etime;
SDDAS_SHORT ret_val;

IDFS_LINEAGE *lngp;

PEACE_SC_POTENTIAL phisc;

lngp=&lineage; 

to_idfs_time( syear, sdoy, shour, smin, ssec, snano, &btime);
to_idfs_time( eyear, edoy, ehour, emin, esec, enano, &etime);

print_idfs_lineage(lngp);                      /* diagnostic only */
printf("btime = ");print_idfs_time(&btime);
printf("\netime = ");print_idfs_time(&etime);printf("\n");

 while (1 > 0){   /* infinite loop for memory test */

SC_Pot_init (&phisc);  
/* copy_lineage(&(phisc.lineage),&lineage); */ 
strcpy(phisc.phisc_lineage.mission,"CLUSTER-1");  /* rest set in init */

ret_val = SC_Pot_fetch(&phisc,&btime,&etime);

printf("SC_Pot_fetch returned ");

switch(ret_val){
   case ALL_OKAY: printf(" ALL_OKAY\n"); break;
   case PHI_SC_EFW_NONFATAL_ERROR: printf("Non fatal error\n"); break;
   case PHI_SC_FATAL_ERROR: printf("Fatal error\n"); break;
   case PHI_SC_EOF: printf("Eof but ok\n"); break;
   default: printf("Unknown return value = %d\n",ret_val);
}

 if (ret_val != PHI_SC_FATAL_ERROR) phisc_dump(&phisc);  

ret_val = free_phisc_arrays(&phisc);

printf("hit return to run loop again\n");
getc(stdin);

}  /* end inf loop */


exit(0);

}

