/* Main programme for plotaz testing
*
*  sjs
*  July 2008 starting from Qjas_pad_main.c
*
*/

#include "Qsweep_spin.h"
#include "Qpeace_pad.h"
#include "Qidfs_utils.h"
#include "Qpeace_plot.h"
 


int main(){

/* INPUTS************************************************************/
IDFS_LINEAGE lineage1 = { "CLUSTERII",     /* project */
                         "CLUSTER-2",     /* mission */
                         "PEACE",         /* experiment */
                         "PAD",           /* instrument */
                         "CPPADH",        /* vir instr */
			 "",              /* extension */
                         -100             /* dummy version number */
                       };

int syear1  =  2003;    int eyear1  = 2003;
int sdoy1   =   229;    int edoy1   =  229;
int shour1  =    17;    int ehour1  =   17;
int smin1   =     6;    int emin1   =   7;
int ssec1   =    59;    int esec1   =    5;
long snano1 =    0;     long enano1 =    0;

float az1=0.0;

IDFS_LINEAGE lineage2 = { "CLUSTERII",     /* project */
                         "CLUSTER-2",     /* mission */
                         "PEACE",         /* experiment */
                         "PAD",           /* instrument */
                         "CPPADL",        /* vir instr */
			 "",              /* extension */
                         -100             /* dummy version number */
                       };

int syear2  = 2003;     int eyear2  = 2003;
int sdoy2   =   229;    int edoy2   =  229;
int shour2  =    17;    int ehour2  =   17;
int smin2   =     6;    int emin2   =    7;
int ssec2   =    59;    int esec2   =    2;
long snano2 =    0;     long enano2 =    0;

float az2=0.0;

BIN_UNITS bin_units = BIN_UNITS_EV;    /* BIN_UNITS_KM_S or BIN_UNITS_EV; */
PSD_UNITS psd_units = PSD_UNITS_DIFF_ENERGY_FLUX;
/* PSD_UNITS_CNTS_ACCUM_1CNT;*/ 
/*PSD_UNITS_S3_PER_KM6 ;   */  
/*PSD_UNITS_DIFF_ENERGY_FLUX; */
/* PSD_UNITS_CNTS_ACCUM; */ 
/* or PSD_UNITS_S3_PER_KM6; */

/**********************************************************************/

IDFS_TIME btime,etime;

IDFS_LINEAGE *lngp1, *lngp2;

PEACE_SWEEP *swp1, *swp2, **swppp1, **swppp2;

PEACE_PITCH_ANGLE_OPTS paopts;
PHISC_CHOICE phiscch = 0;
PEACE_GATHER_CHOICE gatch= GATHER_SWEEPS; 
/*PEACE_GATHER_CHOICE gatch= NO_GATHER; */
PEACE_GATHER_GAPS gaps;
float gath_secs = 1.0;
int gath_swp_spins = 1;
SWEEP_WHEEL_OPTIONS swopts, *swop;

PGSpectro_ret pgsret;
SDDAS_SHORT ret;
int i, nswps1, nswps2;
int i1, i2, np1, np2;

float temp;

set_pa_opts_defaults(&paopts);
paopts.do_pa=QPTRUE;
paopts.n_pabins=5;
paopts.mu_bins = QPFALSE;

sweep_spin_gap_defaults(&gaps);
swop = &swopts;

lngp1=&lineage1; 
lngp2=&lineage2; 




for(i=0;i<200;i++){   /* forever loop for testing */


to_idfs_time( syear1, sdoy1, shour1, smin1, ssec1, snano1, &btime);
to_idfs_time( eyear1, edoy1, ehour1, emin1, esec1, enano1, &etime);

/* printf("btime = ");print_idfs_time(&btime);
printf("\nlasttime = ");print_idfs_time(&etime);printf("\n"); */

/* swp1 = PeaceGetAzSliceV2 (lngp1, &btime, &etime, az1,
       bin_units,  psd_units,
       &paopts, phiscch, 0.0, 0.0,
       gatch,  gaps, gath_secs, gath_swp_spins);
*/
/* printf("********************************************************\n");
printf("Pass %d part 1  ****************************************\n",i);
printf("********************************************************\n");
*/
  ret =  GetNPeaceSweeps(lngp1,&btime,&etime,bin_units, psd_units,
	paopts.do_pa, &nswps1, &swppp1);

/*printf("********************************************************\n");
printf("Pass %d part 2  ****************************************\n",i);
printf("********************************************************\n");
*/
  ret =  GetNPeaceSweeps(lngp2,&btime,&etime,bin_units, psd_units,
	paopts.do_pa, &nswps2, &swppp2);


if(nswps1>0){
   swp1 = swppp1[0];
} else {
   printf("Failed to get sweeps for swp1\n");
   return;
}
if(nswps2>0){
   swp2 = swppp2[0];
} else {
   printf("Failed to get sweeps for swp1\n");
   return;
}

/* if (swp1==NULL){
   printf("Failed to get 1st sweep\n");
   return;}
*/

/* to_idfs_time( syear2, sdoy2, shour2, smin2, ssec2, snano2, &btime);
to_idfs_time( eyear2, edoy2, ehour2, emin2, esec2, enano2, &etime);
*/

/*printf("btime = ");print_idfs_time(&btime);
printf("\nlasttime = ");print_idfs_time(&etime);printf("\n"); */

/* swp2 = PeaceGetAzSliceV2 (lngp2, &btime, &etime, az2,
       bin_units,  psd_units,
       &paopts, phiscch, 0.0, 0.0,
       gatch,  gaps, gath_secs, gath_swp_spins); 
*/
/* swp2=create_sweep_full_copy(swp1); */

/* ret =  GetNPeaceSweeps(lngp2,&btime,&etime,bin_units, psd_units,
	paopts.do_pa, &nswps2, &swppp2);*/


/* if (cpgopen("?Device ?") <=0){ */
/* if (cpgopen("/xser") <=0){
   printf("Failed to open pgplot device successfully\n");
   exit(0);
}
cpgshls(0,0,1,0);
cpgshls(1,0,0,0);

Set_sweep_wheel_options_default(swop);

pgsret=PlotTwoSweeps(swp1, swp2, swop);

cpgend(); */

/* printf("swp1 n_sen = %d  n_lev = %d\n",swp1->n_sen, swp1->n_lev);
printf("swp2 n_sen = %d  n_lev = %d\n",swp2->n_sen, swp2->n_lev); */


np1 = swp1->n_lev*swp1->n_sen;
np2 = swp2->n_lev*swp2->n_sen;

i1=0; i2=0;
while ( i1<np1 && swp1->psd[i1++]< 1.e-8 ){;}
while ( i2<np2 && swp2->psd[i2++]< 1.e-8 ){;}
i1--; i2--;

temp = swp1->psd[i1]/swp2->psd[i2];

printf("swp1->psd[%d]= %g  swp2->psd[%d]= %g   Ratio = %g\n",
                  i1, swp1->psd[i1], i2, swp2->psd[i2], temp);

/* if(swp1 != NULL){free_sweep_arrays(swp1); free(swp1); swp1=NULL;}
if(swp2 != NULL){free_sweep_arrays(swp2); free(swp2); swp2=NULL;}
*/

free_n_sweeps(nswps1, swppp1); free(swppp1);
free_n_sweeps(nswps2, swppp2); free(swppp2);

/*
printf("hit return");
getc(stdin);
*/
}  /* end infinite loop */


exit(0);

}
