/*** test pgplot routine ****/



#include "PGSpectro.h"

#include "PGSpectro.c"

#define NX 200
#define NY 1

int main(){

float zscalemin, zscalemax;
float z2[NX][NY];
float zval;
int nx=NX,ny=NY;
PGSpectro_ret return_val;
int i,j;

float xbinlo[NX], xbinhi[NX], ybinlo[NY], ybinhi[NY];

PGSpectro spectro, *spectrop;

spectrop = &spectro;
PGSpectro_set_defaults(spectrop);
PGSpectro_domain_set_defaults( &(spectrop->domain) );

spectrop->nx = nx;                    spectrop->ny = ny;
spectrop->z = &(z2[0][0]);
spectrop->domain.xworldmin = 1.0;     spectrop->domain.xworldmax = nx;
spectrop->domain.yworldmin = 0.0;     spectrop->domain.yworldmax = ny;
spectrop->domain.yndcmin   = 0.7;     spectrop->domain.yndcmax   = 0.9;
spectrop->xbinlow = xbinlo;           spectrop->xbinhigh = xbinhi;
spectrop->ybinlow = ybinlo;           spectrop->ybinhigh = ybinhi;
/* spectrop->zscalemin = 1.0;            spectrop->zscalemax = 0.8*nx*ny; */
spectrop->xlabel = "x label";         spectrop->ylabel = "y label";
spectrop->title = "TITLE";
spectrop->wedge.label = "Wedge label";
spectrop->xlinlog = PGSPECTRO_LOG;
spectrop->ylinlog = PGSPECTRO_LOG;
spectrop->zlinlog = PGSPECTRO_LOG;
spectrop->xnums = YES;

spectrop->color_table = PGSPECTRO_EARTH;

spectrop->timex = YES;     /* trigger time axis; x data seconds in day */
spectrop->datestart = "1983-12-07"; spectrop->dateend = "1983-12-08";

spectrop->skip_missing = YES;
spectrop->zmissing = 0.0;
spectrop->title = "With missing vals removed";

for (j=0; j<ny; j++){
  ybinlo[j] = j;
  ybinhi[j] = j+1;
  for(i=0; i<nx; i++){
     if ( i > 10 && i < 20 && j > 10 && j < 20) z2[i][j]=0.0;
     else z2[i][j] = (float)(i*sin(i)*j)+1.0;
     xbinlo[i] = i;
     xbinhi[i] = i+1;
  }
}

if (cpgopen("?Device ?") <=0){
   printf("Failed to open pgplot device successfully\n");
   exit(0);
}

cpgshls(0,0,1,0);
cpgshls(1,0,0,0);

 return_val = PGSpectro_Plot(spectrop); 

if(return_val == PGSPECTRO_OK) printf("PGSpectro_Plot returned PGSPECTRO_OK\n");
else printf("PGSpectro_Plot returned %d\n",return_val);

spectrop->timex = NO;
spectrop->zlinlog = PGSPECTRO_LIN;
spectrop->ylinlog = PGSPECTRO_LIN;
spectrop->domain.yndcmin = 0.4;
spectrop->domain.yndcmax = 0.6;

spectrop->skip_missing = YES;
spectrop->zmissing = 0.0;
spectrop->title = "With missing vals removed";
 return_val = PGSpectro_Plot(spectrop); 



spectrop->zlinlog = PGSPECTRO_LIN;
spectrop->ylinlog = PGSPECTRO_LIN;
spectrop->domain.yndcmin = 0.1;
spectrop->domain.yndcmax = 0.3;

/* invert y limits and bins; try not even ensuring ybinlo[j]<ybinhi[j] */
spectrop->domain.yworldmin = 1.0/ny;     spectrop->domain.yworldmax = 1.0;

if (ny==1) spectrop->domain.yworldmin=0.5;

for (j=0; j<ny; j++){
      ybinlo[j] =  ( ybinlo[j]>0.0 ) ? 1.0/ybinlo[j] : 1.0;
      ybinhi[j] =  ( ybinhi[j]>0.0 ) ? 1.0/ybinhi[j] : 1.0;
      if (ybinlo[j]==ybinhi[j]){
        ybinhi[j] -=0.1; ybinlo[j] +=0.1;   /* ensure finite width */
      }
}


spectrop->skip_missing = YES;
spectrop->zmissing = 0.0;
spectrop->title = "Inverted bins";
spectrop->ylinlog = PGSPECTRO_LIN;
spectrop->zlinlog = PGSPECTRO_LIN;
spectrop->timex = YES;     /* trigger time axis; x data seconds in day */

return_val = PGSpectro_Plot(spectrop);

cpgend();
}

