/*** test pgplot routine ****/



#include "PGSpectro.h"

#include "PGSpectro.c"

#define NR 20
#define NTH 12

int main(){

float zscalemin, zscalemax;
float z2[NR][NTH];
float zval;
int nr=NR,nth=NTH;
PGSpectro_ret return_val;
int i,j;

float rbinlo[NR], rbinhi[NR], thbinlo[NTH], thbinhi[NTH];
float rcircles[5];

PGWheel wheel, *wheelp;

wheelp = &wheel;
PGWheel_set_defaults(wheelp);
PGWheel_domain_set_defaults( &(wheelp->domain) );

wheelp->nr = nr;                    wheelp->nth = nth;
wheelp->z = &(z2[0][0]);
wheelp->domain.rmin = 0.7;          wheelp->domain.rmax = nr+1;
wheelp->domain.yndcmin = 0.6;       wheelp->domain.yndcmax = 0.9;
wheelp->rbinlow = rbinlo;           wheelp->rbinhigh = rbinhi;
wheelp->thbinlow = thbinlo;          wheelp->thbinhigh = thbinhi;
wheelp->zscalemin = 1.0;            wheelp->zscalemax = 10*nr + 10*nth;
wheelp->xlabel = "x label";         wheelp->ylabel = "y label";
wheelp->title = "TITLE";
wheelp->wedge.label = "Wedge label";
wheelp->rlinlog = PGSPECTRO_LOG;
wheelp->zlinlog = PGSPECTRO_LOG;
wheelp->rnums = YES;
wheelp->ncircles = 5;               wheelp->rcircles = rcircles;
/*
spectrop->color_table = PGSPECTRO_GRAY_WHITE_HIGH;
*/

/* 
wheelp->skip_missing=YES;
wheelp->zmissing = 5.0;
wheelp->title = "missing values (= 5.0) removed";
*/

for (j=0; j<nth; j++){
  thbinlo[j] = j*360./nth;
  thbinhi[j] = (j+1)*360./nth;
  for(i=0; i<nr; i++){
     if (j==5)z2[i][j]=5.0;
     else z2[i][j] = 10.*i+10.*j;
     rbinlo[i] = i+1;
     rbinhi[i] = i+2;
  }
}

for (i=0; i<5; i++){
   rcircles[i] = 5.*i;
}



if (cpgopen("?Device ?") <=0){
   printf("Failed to open pgplot device successfully\n");
   exit(0);
}

cpgshls(0,0,1,0);
cpgshls(1,0,0,0);

return_val = PGWheel_Plot(wheelp);

if(return_val == PGSPECTRO_OK) printf("PGWheel_Plot returned PGSPECTRO_OK\n");
else printf("PGSpectro_Plot returned %d\n",return_val);

wheelp->zlinlog = PGSPECTRO_LIN;
wheelp->rlinlog = PGSPECTRO_LIN;
wheelp->domain.yndcmin = 0.1;
wheelp->domain.yndcmax = 0.4;

wheelp->skip_missing=YES;
wheelp->zmissing = 5.0;
wheelp->title = "missing values (= 5.0) removed";

return_val = PGWheel_Plot(wheelp);

cpgend();
}

