/*** test pgplot routine ****/



#include "PGSpectro.h"

#include "PGSpectro.c"


int main(){

PGSpectro_ret return_val;
int i,j;
float x[10],y[10];

PGXYtrace trace;

for (i=0; i<10; i++){
  x[i] = i; y[i] = i*i;
}

PGXYtrace_set_defaults(&trace);

trace.x = x; trace.y = y;
trace.npts = 10;

trace.title = "TITLE";
trace.subtitle = "Subtitle";
trace.subsubtitle = "SubSubtitle";
trace.legend_text = "Legend Text";
trace.xlabel = "xlabel";
trace.ylabel = "ylabel";
/* trace.title_just = 0.0; */
trace.colour = QPGMAGENTA;
trace.linestyle = QPGDOT;
trace.symbol    = QPGTRIANGLE;
trace.YoNsymbol = YES;
trace.plot_domain.yworldmax = 100.0;
trace.plot_domain.xworldmax = 1;
trace.plot_domain.xworldmin = 10;
trace.plot_domain.xndcmax = 0.9;
trace.plot_domain.yndcmin = 0.6;
trace.plot_domain.yndcmax = 0.85;
trace.legend_domain.xndcmin = 0.6;
trace.legend_domain.xndcmax = 0.87;
trace.legend_domain.yndcmin = 0.7;
trace.legend_domain.yndcmax = 0.85;
/* trace.YoNlegendbox = NO; */
trace.xlinlog = PGSPECTRO_LOG;
trace.ylinlog = PGSPECTRO_LOG;
trace.tick_length = 3.0;
trace.box_thickness = 3.0;
trace.line_width = 10.0;
trace.symbol_size = 3.0;
trace.legend_text_char_size = 1.3;
trace.text_line_width = 5.0;
trace.Ynumlab_left = NO;


/* trace.YoNbox = NO; */  /* to draw just data with no labels, etc. */


if (cpgopen("?Device ?") <=0){
   printf("Failed to open pgplot device successfully\n");
   exit(0);
}

cpgshls(0,0,1,0);
cpgshls(1,0,0,0);

trace.legend_line_length_frac = 0.35;

trace.legend_just = 0.7;
return_val = PGXYtrace_plot(&trace);
trace.x = y; trace.y = x;
trace.colour = QPGRED;
trace.symbol = QPGFILLEDCIRCLE;
trace.linestyle = QPGSOLID;
trace.legend_just = 0.3;
trace.legend_text = "Another";
return_val = PGXYtrace_plot(&trace);


if(return_val == PGSPECTRO_OK) printf("PGXYtrace_plot returned PGSPECTRO_OK\n");
else printf("PGXYtrace_plot returned %d\n",return_val);

trace.timex= YES;
trace.datestart = "1951-09-15";
trace.dateend   = "1952-09-15";
trace.plot_domain.xworldmax = 10.;
trace.plot_domain.xworldmin = 1.;
trace.plot_domain.yndcmin = 0.1;
trace.plot_domain.yndcmax = 0.4;
trace.text_line_width = 3.0;

return_val = PGXYtrace_plot(&trace);

cpgend();
}

